
# {{- if empty .Values.persistent_volume_claim }}
apiVersion: v1
kind: PersistentVolume
metadata:
  name: customer-pv
spec:
  capacity:
    storage: 2Pi
  volumeMode: Filesystem
  accessModes:
    - ReadWriteMany
  persistentVolumeReclaimPolicy: Retain
  storageClassName: hostpath
  hostPath:
    path: /data/{{ .Values.customer }}
    type: DirectoryOrCreate
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: customer-data
spec:
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 1Pi
  volumeName: customer-pv
  storageClassName: hostpath
# {{- end }}